org.gradle.api.resources

## Interface ResourceHandler

-     public interface ResourceHandler

  Provides access to resource-specific utility methods, for example factory methods that create various resources.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReadableResource` | `bzip2(Object path)` Creates resource that points to a bzip2 compressed file at the given path.
    `ReadableResource` | `gzip(Object path)` Creates resource that points to a gzip compressed file at the given path.

- - ### Method Detail

    - #### gzip

          ReadableResource gzip(Object path)

      Creates resource that points to a gzip compressed file at the given path. The path is evaluated as per `Project.file(Object)`.
      Parameters:
        `path` - The path evaluated as per `Project.file(Object)`.

    - #### bzip2

          ReadableResource bzip2(Object path)

      Creates resource that points to a bzip2 compressed file at the given path. The path is evaluated as per `Project.file(Object)`.
      Parameters:
        `path` - The path evaluated as per `Project.file(Object)`.